"use strict"
// базовый общий для всех
XHEBaseObject = require("../../xhe_base.js")

/////////////////////////////////////////// Plgn_Captcha ////////////////////////////////////////
class XHECAPTCHA extends XHEBaseObject
{
///////////////////////////////// SERVICE FUNCTIONS ////////////////////////////////////////////////
    // server initialization
    constructor(server, password = "") {
	    super(server, password, "Plgn_Captcha")
    }
/////////////////////////////////////////////////////////////////////////////////////////////////////

    // 
    set_api_key(key) {
        const params = ["key", key]
        return this.call_get("set_api_key", params)
    }

    // 
    set_captcha_url(url) {
        const params = ["url", url]
        return this.call_get("set_captcha_url", params)
    }

    // 
    set_log_path(log_path) {
        const params = ["log_path", log_path]
        return this.call_get("set_log_path", params)
    }

    // 
    set_сaptcha_type(captcha_type) {
        const params = ["captcha_type", captcha_type]
        return this.call_get("set_сaptcha_type", params)
    }

    // Распознавание капчи
    recognize(path, captcha_type="") {
        const params = ["path", path, "captcha_type", captcha_type]
        return this.call_get("recognize", params)
    }
}
module.exports = XHECAPTCHA
