<?php
/////////////////////////////////////////// Plgn_Captcha //////////////////////////////////////
class XHECAPTCHA extends XHEBaseObject
{
//////////////////////////// SERVICE FUNCTIONS /////////////////////////////////////////////////////
    // server initialization
    private string $inner_number;

    function __construct(string $server, string $password="")
	{
		$this->server = $server;
		$this->password = $password;
		$this->prefix = "Plgn_Captcha";
	}
/////////////////////////////////////////////////////////////////////////////////////////////////////    
    
    // 
    function set_api_key(string $key): bool
    {
        $params = array( "key" => $key );
        return $this->call_get(__FUNCTION__, $params);
    }

    // 
    function set_captcha_url(string $url): bool
    {
        $params = array( "url" => $url );
        return $this->call_get(__FUNCTION__, $params);
    }

    // 
    function set_log_path(string $log_path): bool
    {
        $params = array( "log_path" => $log_path );
        return $this->call_get(__FUNCTION__, $params);
    }

    // 
    function set_сaptcha_type(string $captcha_type): bool
    {
        $params = array( "captcha_type" => $captcha_type );
        return $this->call_get(__FUNCTION__, $params);
    }

    // Распознавание капчи
    function recognize(string $path, string $captcha_type=""): string
    {
        $params = array( "path" => $path, "captcha_type" => $captcha_type );
        return $this->call_get(__FUNCTION__, $params);
    }
};

?>
