from Objects.xhe_base import *


# Plgn_Captcha
class XHECAPTCHA(XHEBaseObject):
    # server initialization
    def __init__(self, server: str, password: str=""):
        self.server = server
        self.password = password
        self.prefix = "Plgn_Captcha"


    # 
    def set_api_key(self, key: str) -> bool:
        params = {"key": key}
        return self.call_get("set_api_key", params)


    # 
    def set_captcha_url(self, url: str) -> bool:
        params = {"url": url}
        return self.call_get("set_captcha_url", params)


    # 
    def set_log_path(self, log_path: str) -> bool:
        params = {"log_path": log_path}
        return self.call_get("set_log_path", params)


    # 
    def set_сaptcha_type(self, captcha_type: str) -> bool:
        params = {"captcha_type": captcha_type}
        return self.call_get("set_сaptcha_type", params)


    # Распознавание капчи
    def recognize(self, path: str, captcha_type: str="") -> str:
        params = {"path": path, "captcha_type": captcha_type}
        return self.call_get("recognize", params)

